@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap');

* {
  box-sizing: border-box;
  font-family: 'Open Sans', sans-serif;
}

.side-panel{
  background:rgba(0,0,0,.15);
  border: 0;
  bottom: 0;
  min-width: 10%;
  min-height: 100%;
  padding-right: 5%;
  padding-top: 4%;
  position: absolute;
  left: 0;
  z-index: 9999;
  pointer-events: none;
  visibility: hidden;
}

#myForm{
  /*position: absolute;*/
  z-index: 10000;
  background-color: #fff;
  padding: 20px;
  display: grid;
  grid-template-columns: 1fr;
  -webkit-box-shadow: 5px 5px 15px 5px #000000;
  box-shadow: 5px 5px 15px 5px #000000;
}

label{
  clear: both;
  padding: 0 5px;
}

#gui-container{
  background-color: #fff;
  display: grid;
  align-items: center;
  justify-content: center;
  height: 100vh;
  margin: 0;
  width: 100vw;
  visibility: hidden;
  overflow: scroll;
}

#locationCheckBoxes{
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 10px 0;
}

#build {
    margin: 15px auto;
    box-shadow:inset 0px 0px 14px -3px #f2fadc;
  	background:linear-gradient(to bottom, #dbe6c4 5%, #9ba892 100%);
  	background-color:#dbe6c4;
  	border-radius:6px;
  	border:1px solid #b2b8ad;
  	display:inline-block;
  	cursor:pointer;
  	color:#757d6f;
  	font-family:Arial;
  	font-size:14px;
  	font-weight:bold;
  	padding:6px 24px;
  	text-decoration:none;
  	text-shadow:0px 1px 0px #ced9bf;
}

#build:hover {
	background:linear-gradient(to bottom, #9ba892 5%, #dbe6c4 100%);
	background-color:#9ba892;
}
#build:active {
	position:relative;
	top:1px;
}

#drawAll {
    margin: 10px 0;
}

#scale {
    margin: 10px 0;
    width: 25%;
}

.smallerText{
  font-size: smaller;
}

/* old datGUi - remove at some point when new gui fully sucessful */

.dg.main.taller-than-window .close-button {
    border-top: 1px solid #ddd;
}

.dg.main .close-button {
    background-color: #ccc;
}

.dg.main .close-button:hover {
    background-color: #ddd;
}

.dg {
    color: #555;
    text-shadow: none !important;
}

.dg.main::-webkit-scrollbar {
    background: #fafafa;
}

.dg.main::-webkit-scrollbar-thumb {
    background: #bbb;
}

.dg li:not(.folder) {
    background: #fafafa;
    border-bottom: 1px solid #ddd;
}

.dg li.save-row .button {
    text-shadow: none !important;
}

.dg li.title {
    background: #e8e8e8 url(data:image/gif;base64,R0lGODlhBQAFAJEAAP////Pz8////////yH5BAEAAAIALAAAAAAFAAUAAAIIlI+hKgFxoCgAOw==) 6px 10px no-repeat;
}

.dg .cr.function:hover,.dg .cr.boolean:hover {
    background: #fff;
}

.dg .c input[type=text] {
    background: #e9e9e9;
}

.dg .c input[type=text]:hover {
    background: #eee;
}

.dg .c input[type=text]:focus {
    background: #eee;
    color: #555;
}

.dg .c .slider {
    background: #e9e9e9;
}

.dg .c .slider:hover {
    background: #eee;
}
